LINUX.ORG.RU

Microfocus и SLED 11

 ,


0

1

Всем известно что такое SLES. Это такой RHEL, только SUSE.

В аббревиатуре SLED буква D означает Desktop. На той же пакетной базе, что и серверный дистр. И эта пакетная база называется SLE.

Когда кончилась долговременная поддержка openSUSE 11.4 (2016 год), я перешёл на SLED 11 (в этот момент уже существовала 12-я версия). А что: GNOME 2.28 и никакого Systemd. Репозиториев полно, софт свежий, поддержка дистрибутива до 2019 года... На протяжении полугода так и было, а потом произошёл инцидент.

В январе 2017 года было удалено огромное количество репозиториев OBS для SLE 11 (к счастью, сохранились копии: http://ftp.uni-stuttgart.de/opensuse-buildservice/). Что за фигня? Я же ясно помню, что основная поддержка до 2019 года, а расширенная - до 2022!

https://www.suse.com/lifecycle/ Ага, так это SLES 11 - до 2019 и 2022. А SLED - до 1 апреля 2016 года.

Но зачем было стирать репозитории, которые в том числе и для SLES? Archiving, multimedia:libs, devel:libraries:c_c++...

Кроме того, я же ясно помню, что поддержка SLED была до 2019 года! Так, где тут мой Archive.org... Действительно! https://postimg.org/image/5d0ssk3at/

Вот моё видение событий:

  1. С тех пор, как релизнулась эта версия SLES, прошло очень много времени. Я смотрю исходники какого-нибудь gdm или xorg-x11-libs, и вижу что в то время суся была более любительским проектом, чем сейчас. Сейчас исходники красивые и стройные. Возможно что или те программисты набрались опыта, или пришли новые - так или иначе, они потеряли интерес к 11-й версии.
  2. Тем не менее, обязательства есть обязательства, и их надо выполнять.
  3. Возможно, в какой-то момент разработчикам SUSE стала известна инсайдерская информация. Что, когда Red Hat прекратит поддержку RHEL 5, в Firefox произойдут значительные изменения. Многопоточная архитектура потребует довольно-таки нового графического стека Xorg. И как-то что-то бэкпортировать без нарушения совместимости не получится.

    Вот поддержку SLED 11 и сократили с 2019 по 2016 «год задним числом» (но Архив интернета всё помнит). Всё равно ей никто не пользуется, а в Serverной редакции нет Firefox.

  4. А потом кто-то не так понял, и решил что сокращают весь SLE 11 (и Server, и Desktop). Было потёрто много репозиториев. Потом настучали по рукам, и с тех пор репозитории больше не удаляли

Теперь у меня часть софта up-to-date (из репозиториев, которые не были удалены), а часть старая (из сохранившегося зеркала). А столько радости было, когда я только установил этот дистр! Думал что наколол систему, и что теперь я буду использовать новый софт в старой системе без Systemd и GNOME3.

Что за фигня? Я же ясно помню, что основная поддержка до 2019 года, а расширенная - до 2022!
Тем не менее, обязательства есть обязательства, и их надо выполнять.

А какие отношение имеют левые репозитории в OBS и официальная поддержка. Ну и да, раз она есть, почему бы и не написать жалобу в SUSE?

Но зачем было стирать репозитории, которые в том числе и для SLES? Archiving, multimedia:libs, devel:libraries:c_c++

Это поддерживается далеко не только сотрудниками SUSE и не входит в состав продуктов SLE, поддержка этого всего требует вычислительные и главное много людских ресурсов. Кому надо, пусть тот и делает.

dinn ★★★★★ ()
Ответ на: комментарий от dinn

> Ну и да, раз она есть, почему бы и не написать жалобу в SUSE?

Мне ответили вот что. Офф. поддержка - до 2016. Self-support - до 2019. Self-support подразумевает, что не будут удалять официальные репы. Но не будут обновлять в них софт.

А я наивно думал, что софт будет обновляться (это же одна пакетная база со SLES), просто не будет оказываться коммерческая поддержка. Типа, сломалось - чини сам.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 2)
Ответ на: комментарий от ZenitharChampion

Self-support подразумевает, что софт просто не будут удалять из реп.

Так это про основной репозиторий SLE, его не удаляют же.

dinn ★★★★★ ()
Ответ на: комментарий от dinn

Упс. Я подправил сообщение, когда ты на него отвечал. Нехорошо получилось.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)

Мне сейчас написал парень из Колумбии. Спрашивал, как правильно установить в SLED 11 Firefox из моего репозитория. Приятно :-)

Там он такое накостылял, просто ух. Сначала он скачал мои пакеты вместо того, чтобы подключить репозиторий. Потом он решил скачивать не весь libxcb из моего репозитория (начиная с openSUSE 12.3, libxcb был разделён на 30 под-пакетов, из которых реально нужны 5-6): «зачем их так много? Может, можно установить необходимый минимум?».

Он попробовал, иксы не загрузились, ожидаемо. Тогда он скачал libxcb и libX11 из openSUSE 11.4, всё начало работать, в том числе Firefox. Но перестали работать несколько других программ. Он решил эту проблему созданием каких-то симлинков. Суть письма была в том, как устанавливать мой Firefox правильно, без этих всех костылей?

Ну что, расписал ему как устанавливать правильно :-) Сейчас у них - поздняя ночь, завтра прочитает.

ZenitharChampion ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.